# Kick / Logout User

### API Documentation

#### API Route

`{{apiBase}}/users/kick`

#### Authentication Required

Yes

Send the API key as (APIKEY) in the headers.

#### Request

* Method: POST

**Parameters**

* `userid`: Required. Specify the user ID.

Optional:

* `sso`: Specify the Single Sign-On (SSO) value.

**Success Response**

```json
{
    "status": 200,
    "timestamp": 1684420659,
    "time": 0.62,
    "ip": "127.0.0.1",
    "message": "User kicked successfully",
    "data": []
}
```

**Error Response**

```json
{
    "status": 400,
    "timestamp": 1684420668,
    "time": 0.321,
    "ip": "127.0.0.1",
    "message": "Something went wrong",
    "error_code": "resource_not_found",
    "data": []
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vodlix.com/developer-guide/api-documentation/kick-logout-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
